#!/usr/bin/env tclsh

set Datei [info script]
puts "Datei: $Datei"

if {[file exist $Datei]} {
  puts "Die Datei $Datei existiert."
} else {
  puts "Die Datei $Datei existiert nicht."
}

if {[file isdirectory $Datei]} {
  puts "Die Datei $Datei ist ein Ordner."
} else {
  puts "Die Datei $Datei ist kein Ordner."
}
if {[file isfile $Datei]} {
  puts "Die Datei $Datei ist eine Datei."
} else {
  puts "Die Datei $Datei ist keine Datei."
}
puts "Die Datei ist vom Typ [file type $Datei]"
puts "Dateigroesse in Bytes: [file size $Datei]"
set Zeit [file mtime $Datei] 
puts "Letzte Aenderung: [clock format $Zeit -format {%d.%m.%Y %H:%M:%S}]"
