#!/usr/bin/env tclsh

set Ordner {} ; # Liste mit allen Ordner
set Dateien {} ; # Liste mit allen Dateien
set AktuellerOrdner ""

lappend Ordner [file join $env(HOME) test] ; # Startordner
set Index 0 ; # Startwert, damit die while-Schleife mindestens einmal durchlaufen wird

while {$Index < [llength $Ordner] } {
  set AktuellerOrdner [lindex $Ordner $Index]

  # Nicht die Ordner . bzw .. aufrufen
  if {[file tail $AktuellerOrdner] ni {. ..}} {
    if {[catch {glob -nocomplain -directory $AktuellerOrdner -types {f} *} tmp] == 0 } {
      foreach Element $tmp {
        if {[file tail $Element] ni {. ..}} {
          lappend Dateien $Element
        }
      }
	}
    if {[catch {glob -nocomplain -directory $AktuellerOrdner -types {d} *} tmp] == 0 } {
      foreach Element $tmp {
        if {[file tail $Element] ni {. ..}} {
          lappend Ordner $Element
        }
      }
    }
  }
  incr Index
}
puts "Ordner:"
foreach Element $Ordner {
  puts $Element
}
puts ""
puts "Dateien:"
foreach Element $Dateien {
  puts $Element
}
