#!/usr/bin/env wish

set Liste {Anton Berta Caesar Dora Emil}

proc AuswahlAnzeigen {} {
  set Auswahl [.fr.tv selection]
  puts "Auswahl: $Auswahl"
  foreach Element $Auswahl {
    puts [.fr.tv item $Element -value]
  }
}

ttk::frame .fr
ttk::treeview .fr.tv -columns VName -show headings -selectmode browse -yscrollcommand {.fr.sbY set}
foreach Element $Liste {
  .fr.tv insert {} end -values $Element
}
.fr.tv heading VName -text "Person" 
ttk::scrollbar .fr.sbY -command {.fr.tv yview}
ttk::button .bt -text "OK" -command AuswahlAnzeigen
 
pack .fr.sbY -side right -fill y
pack .fr.tv -side left
pack .fr
pack .bt
