#!/usr/bin/env wish
 
set Liste {{0 "Donald Duck" "9.6.1934" "Ente"} {1 "Micky Maus" "18.11.1928" "Maus"}}
 
proc AuswahlAnzeigen {Liste} {
  set Auswahl [.fr.tv selection]
  puts "Auswahl: $Auswahl"
  foreach Element $Auswahl {
    set Wert [.fr.tv item $Element -value]
    puts "Selektion: $Wert"
    set ID [lindex $Wert 0]

	set Name [lindex $Liste $ID 1]
	set Typ [lindex $Liste $ID 3]

    puts "ID: $ID"
    puts "Name: $Name"
    puts "Typ: $Typ"
  }
}
 
ttk::frame .fr
ttk::treeview .fr.tv -columns {ID Name Datum} -displaycolumns {Name Datum} -show headings -selectmode extended -yscrollcommand {.fr.sbY set}
foreach Element $Liste {
  .fr.tv insert {} end -values $Element
}
.fr.tv heading Name -text "Name" 
.fr.tv heading Datum -text "Geburtsdatum" 
ttk::scrollbar .fr.sbY -command {.fr.tv yview}
ttk::button .bt -text "OK" -command {AuswahlAnzeigen $Liste}
 
pack .fr.sbY -side right -fill y
pack .fr.tv -side left
pack .fr
pack .bt
