#!/usr/bin/env wish

proc FortschrittAnzeigen {} {
  set CursorAlt [. cget -cursor]
 
  toplevel .mod
  ttk::progressbar .mod.pb -orient horizontal -maximum 100 -length 200 -value 0
  pack .mod.pb
  tkwait visibility .mod
  grab set .mod
  . configure -cursor watch
  .mod configure -cursor watch
  wm title .mod "Fortschritt"
 
  return $CursorAlt
}

proc FortschrittLoeschen {CursorAlt} {
  . configure -cursor $CursorAlt
  .mod configure -cursor $CursorAlt
  grab release .mod
  destroy .mod
}

proc Berechnung {} {
  set CursorAlt [FortschrittAnzeigen]
  update idletasks
 
  set Anzahl 100
  for {set i 1} {$i <= $Anzahl } {incr i} {
    after 100
    if {[expr $i % 10] == 0} {
      .mod.pb configure -value $i
      update idletasks
    }
  }
 
  FortschrittLoeschen $CursorAlt
}
 
ttk::button .bt -text "Berechnung starten" -command Berechnung
pack .bt
