#!/usr/bin/env wish

canvas .c -width 400 -height 300 -background [format "#%02x%02x%02x" 249 208 10]
pack .c

set Rechteck1 [.c create rectangle 5 5 90 55 -width 1 -outline black -fill grey]
set Rechteck2 [.c create rectangle 5 58 90 108 -width 1 -outline black -fill grey -stipple "gray75"]
set Rechteck3 [.c create rectangle 5 111 90 161 -width 1 -outline black -fill grey -stipple "gray50"]
set Rechteck4 [.c create rectangle 5 164 90 214 -width 1 -outline black -fill grey -stipple "gray25"]
set Rechteck5 [.c create rectangle 5 217 90 267 -width 1 -outline black -fill grey -stipple "gray12"]

set Linie1 [.c create line 200 220 390 220 -width 3 -fill red]
set Linie2 [.c create line 200 230 390 230 -width 3 -fill blue -dash {10 2}]
set Linie3 [.c create line 200 240 390 240 -width 3 -fill green -dash {2 2}]
set Linie4 [.c create line 200 295 240 255 280 295 320 255 360 295 400 255 -width 3 -fill red]

set Oval [.c create oval 100 5 190 55 -width 2 -outline blue -fill white]
set Kreis [.c create oval 100 60 150 110 -width 2 -outline blue -fill ""]
set Kreissegment1 [.c create arc 100 120 180 200 -start 0 -extent 60 -width 2 -outline black -fill [format "#%02x%02x%02x" 0 255 0]]
set Kreissegment2 [.c create arc 100 120 180 200 -start 60 -extent 100 -width 2 -outline black -fill [format "#%02x%02x%02x" 255 255 0]]
set Kreissegment3 [.c create arc 100 120 180 200 -start 160 -extent 200 -width 2 -outline black -fill [format "#%02x%02x%02x" 255 0 0]]

set ListePunkte {}
set ListePunkte [list 200 100 250 5 380 70 250 70 330 120 200 100]
set Polygon [.c create polygon $ListePunkte -width 2 -outline red -fill blue]

set Text1 [.c create text 200 160 -text "Text1" -anchor w -font "Helvetica 12 bold italic"]
set Text2 [.c create text 250 160 -text "Text2" -anchor w -angle 45 -font "Times 14"]
set Text3 [.c create text 250 170 -text "Text3" -anchor w -angle -45 -font "Courier 14"]

set Foto2 [image create photo Foto -file "foto.ppm"]
.c create image 110 215 -anchor nw -image Foto


