#!/usr/bin/env wish

exec gnuplot Beispiel312_code.gnuplot

ttk::frame .fr
canvas .fr.c -width 300 -height 150 -xscrollcommand ".fr.xscroll set" -yscrollcommand ".fr.yscroll set"

image create photo Bild -file Grafik.png

.fr.c create image 0 0 -anchor nw -image Bild
.fr.c configure -scrollregion [.fr.c bbox all]
ttk::scrollbar .fr.xscroll -orient horizontal -command ".fr.c xview"
ttk::scrollbar .fr.yscroll -command ".fr.c yview"
pack .fr.xscroll -side bottom -fill x
pack .fr.yscroll -side right -fill y
pack .fr.c -expand yes -fill both -side top
pack .fr -expand yes -fill both -side top
