#!/usr/bin/env wish

package require Tktable

ttk::frame .fr

table .fr.table \
  -rows 20 \
  -cols 10 \
  -titlerows 1 \
  -titlecols 0 \
  -height 5 \
  -width 25 \
  -rowheight 1 \
  -colwidth 9 \
  -maxheight 100 \
  -maxwidth 400 \
  -selectmode extended \
  -variable Wert \
  -xscrollcommand {.fr.xscroll set} \
  -yscrollcommand {.fr.yscroll set}
  
ttk::scrollbar .fr.xscroll -command {.fr.table xview} -orient horizontal
ttk::scrollbar .fr.yscroll -command {.fr.table yview}

pack .fr -fill both -expand 1
pack .fr.xscroll -side bottom -fill x
pack .fr.yscroll -side right -fill y
pack .fr.table -side right -fill both -expand 1
  
for {set Zeile 0} {$Zeile <= 19} {incr Zeile} {
  for {set Spalte 0} {$Spalte <= 9} {incr Spalte} {
    if {$Zeile == 0} {
      set Wert($Zeile,$Spalte) Titel$Spalte
    } else {
      set Wert($Zeile,$Spalte) $Zeile$Spalte
    }
  }
}
