#!/usr/bin/env tclsh

oo::class create Verleihobjekt {
  variable Titel
  variable Zustand
  variable Verleihstatus

  constructor {tmpTitel tmpZustand} {
    set Titel $tmpTitel 
    set Zustand $tmpZustand
    set Verleihstatus "verfuegbar" 
  }

  method FehlerAnzeigen {Text} {
    puts $Text
  }
  
  method Anzeigen {} {
    puts "Titel: $Titel, Zustand: $Zustand, Status: $Verleihstatus"
  }

  method Ausleihen {} {
    if {$Verleihstatus == "verfuegbar"} {
      set Verleihstatus "verliehen"
    } else {
      my FehlerAnzeigen "Das Buch ist schon verliehen."
    }
  }

  method Zurueckgeben {} {
    if {$Verleihstatus == "verliehen"} {
      set Verleihstatus "verfuegbar"
    }
  }

  unexport FehlerAnzeigen
  export Anzeigen
  export Ausleihen
  export Zurueckgeben
}

set Buch1 [Verleihobjekt new "Erstes Buch" "gut"]

$Buch1 Anzeigen
$Buch1 Ausleihen
$Buch1 Anzeigen
$Buch1 Ausleihen
$Buch1 Zurueckgeben
$Buch1 Anzeigen

