#!/usr/bin/env tclsh

oo::class create Figur {
  variable Name
  variable Flaeche

  constructor {tmpName} {
    set Name $tmpName
    set Flaeche "unbekannt"
  }

  method Anzeigen {} {
    puts "$Name: Flaeche=$Flaeche"
  }
	
  export Anzeigen
}

oo::class create Rechteck {
  superclass Figur
  
  variable Flaeche
  variable SeiteA
  variable SeiteB
  
  constructor {tmpName tmpSeiteA tmpSeiteB} {
    next $tmpName
    set SeiteA $tmpSeiteA
    set SeiteB $tmpSeiteB
  }
  
  method Flaeche {} {
    set Flaeche [expr 1.0 * $SeiteA * $SeiteB]
  }
  
  export Flaeche
}

oo::class create Kreis {
  superclass Figur
  
  variable Flaeche
  variable Radius
  
  constructor {tmpName tmpRadius} {
    next $tmpName
    set Radius $tmpRadius
  }
  
  method Flaeche {} {
    set Flaeche [expr 3.141 * $Radius * $Radius]
  }
  
  export Flaeche
}

Rechteck create Rechteck1 "Rechteck1" 3 5
Rechteck1 Anzeigen
Rechteck1 Flaeche
Rechteck1 Anzeigen

Kreis create Kreis1 "Kreis1" 8
Kreis1 Anzeigen
Kreis1 Flaeche
Kreis1 Anzeigen

puts ""
puts "jetzt als Schleife:"
set Liste {Rechteck1 Kreis1}
foreach Element $Liste {
  $Element Flaeche
  $Element Anzeigen
}
