#!/usr/bin/env wish

set Liste1 {Anton Berta Caesar Dora Emil Friedrich Gustav Heinrich Ida Julius Kaufmann}
set Liste2 {Ludwig Martha Nordpol Otto Paula Quelle Richard Samuel Schule Theodor}
set Liste3 {Ulrich Viktor Wilhelm Xanthippe Ypsilon Zacharias}

ttk::treeview .tv -columns Person -yscrollcommand {.sbY set}
.tv insert {} end -id Personen1 -text "Personen A-K"
.tv insert {} end -id Personen2 -text "Personen L-T"
.tv insert {} end -id Personen3 -text "Personen U-Z"

foreach Element $Liste1 {
  .tv insert Personen1 end -values $Element
}

foreach Element $Liste2 {
  .tv insert Personen2 end -values $Element
}

foreach Element $Liste3 {
  .tv insert Personen3 end -values $Element
}

ttk::scrollbar .sbY -command {.tv yview}

pack .sbY -side right -fill y
pack .tv -side left -expand yes -fill both
