#!/usr/bin/env wish

proc MausklickNotebook {} {
	switch [.n index current] {
		0 {puts "Es wurde auf Reiter 1 geklickt."}
		1 {puts "Es wurde auf Reiter 2 geklickt."}
	}
}

ttk::notebook .n
ttk::frame .n.f1
ttk::frame .n.f2
.n add .n.f1 -text "Reiter 1"
.n add .n.f2 -text "Reiter 2"

ttk::label .n.f1.l1 -text "Seite 1"
ttk::button .n.f1.b1 -text "OK"
ttk::label .n.f2.l1 -text "Seite 2"

pack .n -fill both -expand 1
pack .n.f1.l1 -side top
pack .n.f1.b1 -side bottom
pack .n.f2.l1 -side top
 
.n select .n.f1

bind .n <ButtonRelease-1> {MausklickNotebook}
