#!/usr/bin/env wish

proc EintragSelektieren {Index} {
	.fr.lbox selection clear 0 end
	.fr.lbox selection set $Index
	.fr.lbox see $Index
	update idletasks
}
 
for {set Index 0} {$Index < 100} {incr Index} {
	lappend Liste "Eintrag $Index"
}

frame .fr
listbox .fr.lbox -width 5 -height 5 -listvariable Liste -xscrollcommand {.fr.sbX set} -yscrollcommand {.fr.sbY set}
scrollbar .fr.sbX -orient horizontal -command {.fr.lbox xview}
scrollbar .fr.sbY -command {.fr.lbox yview}

pack .fr.sbX -side bottom -fill x
pack .fr.sbY -side right -fill y
pack .fr.lbox -side top -expand yes -fill both
 
button .bt1 -text "Eintrag 20" -command {EintragSelektieren 20}
button .bt2 -text "Eintrag 85" -command {EintragSelektieren 85}
 
pack .fr -side top -expand yes -fill both
pack .bt1 -side left
pack .bt2 -side right
