#!/usr/bin/env wish

proc BeschriftungAendern {} {
	.lb configure -text "LABEL"
	.bt configure -text "BESCHRIFTUNG AENDERN"

	.n tab .n.f1 -text "RAHMEN 1"
	.n tab .n.f2 -text "RAHMEN 2"
	.n.f1.lb configure -text "TEXT"

	.mbar entryconfigure 1 -label "MENU 1"
	.mbar entryconfigure 2 -label "MENU2"

	.mbar.menu1 entryconfigure 0 -label "UNTERMENU 1.1"
	.mbar.menu2 entryconfigure 0 -label "UNTERMENU 2.1"

	.mbar.menu2.menu21 entryconfigure 0 -label "LABEL 2.1.1"
	.mbar.menu2.menu21 entryconfigure 1 -label "LABEL 2.1.2"
}

menu .mbar
. configure -menu .mbar
.mbar add cascade -label "Menu 1" -menu .mbar.menu1
.mbar add cascade -label "Menu 2" -menu .mbar.menu2
menu .mbar.menu1 -tearoff 0
.mbar.menu1 add command -label "Untermenu 1.1"
menu .mbar.menu2 -tearoff 0
.mbar.menu2 add cascade -label "Untermenu 2.1" -menu .mbar.menu2.menu21
menu .mbar.menu2.menu21 -tearoff 0
.mbar.menu2.menu21 add radiobutton -label "Label 2.1.1"
.mbar.menu2.menu21 add radiobutton -label "Label 2.1.2"

ttk::label .lb -text "Label"
ttk::button .bt -text "Beschriftung aendern" -command {BeschriftungAendern}

ttk::notebook .n
ttk::frame .n.f1
ttk::frame .n.f2
.n add .n.f1 -text "Rahmen 1"
.n add .n.f2 -text "Rahmen 2"

ttk::label .n.f1.lb -text "Text"

pack .n -side top -fill both -expand 1
pack .n.f1.lb -side top -anchor w -pady 5
pack .lb -pady 5
pack .bt -pady 5
