#!/usr/bin/env tclsh

proc KonfigurationSpeichern {Daten} {
	set f [open Konf.txt w]
	dict for {Schluessel Wert} $Daten {puts $f "$Schluessel:$Wert"}
	close $f
}

proc KonfigurationLaden {} {
	set f [open Konf.txt r]
	while {[gets $f Zeile] >= 0} {
		set tmp [string first ":" $Zeile]
		set Schluessel [string range $Zeile 0 [expr $tmp - 1]]
		set Wert [string range $Zeile [expr $tmp + 1] end]
		dict set Daten $Schluessel $Wert
	}
	close $f
	return $Daten
}

dict set Konfiguration Zahl 100
dict set Konfiguration Text "abc"

puts "Zahl: [dict get $Konfiguration Zahl]"
puts "Text: [dict get $Konfiguration Text ]"
puts "----------"

KonfigurationSpeichern $Konfiguration

dict set Konfiguration Zahl 0
dict set Konfiguration Text ""

puts "Zahl: [dict get $Konfiguration Zahl]"
puts "Text: [dict get $Konfiguration Text ]"
puts "----------"

set Konfiguration [KonfigurationLaden]

puts "Zahl: [dict get $Konfiguration Zahl]"
puts "Text: [dict get $Konfiguration Text ]"
