#!/usr/bin/env wish

set ListeZeile1 ""
lappend ListeZeile1 "1"
lappend ListeZeile1 "Donald Duck"
lappend ListeZeile1 "1934"
lappend ListeZeile1 "Entenhausen"

set ListeZeile2 ""
lappend ListeZeile2 "2"
lappend ListeZeile2 "Mickey Mouse"
lappend ListeZeile2 "1928"
lappend ListeZeile2 "Entenhausen"

set ListeEintraege ""
lappend ListeEintraege $ListeZeile1
lappend ListeEintraege $ListeZeile2

ttk::treeview .tv -columns {ID Name Datum Ort} -displaycolumns {Name Datum Ort} -show headings -yscrollcommand {.sbY set}

foreach Zeile $ListeEintraege {
  .tv insert {} end -values $Zeile
}

.tv heading Name -text "Vor- und Nachame" 
.tv heading Datum -text "Geburtsdatum"
.tv heading Ort -text "Wohnort"

.tv heading Name -anchor w
.tv heading Datum -anchor center
.tv heading Ort -anchor e

.tv column Datum -width 120

.tv column Name -anchor w
.tv column Datum -anchor center
.tv column Ort -anchor e

ttk::scrollbar .sbY -command {.tv yview}

pack .sbY -side right -fill y
pack .tv -side left

update idletasks
after 2000
 
.tv heading Name -text "Name"
update idletasks
