#!/usr/bin/env wish

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

font create MeineSchrift -family Helvetica -size 12 -slant roman -weight normal

ttk::style theme use clam

ttk::style configure MeinStil.TEntry -fieldbackground $Farbe2 ; # Hintergrundfarbe
ttk::style configure MeinStil.TEntry -foreground $Farbe1 ;# Textfarbe
ttk::style configure MeinStil.TEntry -background $Farbe1 ; # Ecken der Umrandung. Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style configure MeinStil.TEntry -bordercolor $Farbe1 ; # Umrandung. Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style configure MeinStil.TEntry -lightcolor $Farbe2 ; # Der Bereich zwischen der Umrandung und dem Eingabebereich. Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.

ttk::style configure MeinStil.TEntry -insertcolor $Farbe1 ; # Cursorfarbe
ttk::style configure MeinStil.TEntry -selectbackground $Farbe1 ; # Hintergrundfarbe des selektierten Bereichs
ttk::style configure MeinStil.TEntry -selectforeground $Farbe2 ; # Textfarbe des selektierten Bereichs
	
ttk::style map MeinStil.TEntry -fieldbackground [list active $Farbe2 disabled $Farbe6 readonly $Farbe4]
ttk::style map MeinStil.TEntry -foreground [list active $Farbe1 disabled $Farbe8 readonly $Farbe10]
ttk::style map MeinStil.TEntry -background [list active $Farbe1 disabled $Farbe8 readonly $Farbe10] ; # Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style map MeinStil.TEntry -bordercolor [list active $Farbe1 disabled $Farbe8 readonly $Farbe10] ; # Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style map MeinStil.TEntry -lightcolor [list active $Farbe1 disabled $Farbe8 readonly $Farbe10] ; # Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style map MeinStil.TEntry -selectbackground [list active $Farbe1 readonly $Farbe10]
ttk::style map MeinStil.TEntry -selectforeground [list active $Farbe2 readonly $Farbe4]

set Eingabe "Text"
ttk::entry .en -textvariable Eingabe -style MeinStil.TEntry -font MeineSchrift
pack .en -side left

ttk::button .btKlein -text "Schrift 8" -command {font configure MeineSchrift -size 8; append Eingabe ""}
ttk::button .btGross -text "Schrift 16" -command {font configure MeineSchrift -size 16; append Eingabe ""}
pack .btKlein -side top
pack .btGross -side top

ttk::button .btNormal -text "Normal" -command {.en configure -state normal}
ttk::button .btActive -text "Active" -command {.en configure -state active}
ttk::button .btDisabled -text "Disabled" -command {.en configure -state disabled}
ttk::button .btReadonly -text "Readonly" -command {.en configure -state readonly}
pack .btNormal -side top
pack .btActive -side top
pack .btDisabled -side top
pack .btReadonly -side top
