#!/usr/bin/env wish

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

font create MeineSchrift -family Helvetica -size 12 -slant roman -weight normal

ttk::style theme use clam

ttk::style configure MeinStil.TLabelframe -background $Farbe2
ttk::style configure MeinStil.TLabelframe -bordercolor $Farbe1 ; # nur verfuegbar, wenn das Thema clam (siehe Zeile 8) gewaehlt ist
ttk::style configure MeinStil.TLabelframe -font MeineSchrift

ttk::style configure MeinStil.TLabelframe.Label -background $Farbe2
ttk::style configure MeinStil.TLabelframe.Label -foreground $Farbe1
ttk::style configure MeinStil.TLabelframe.Label -font MeineSchrift

ttk::label .lbFuerLabelframe -text "Frame" -style MeinStil.TLabelframe.Label
ttk::labelframe .fr -padding {10 10 10 10} -labelwidget .lbFuerLabelframe -labelanchor nw -borderwidth 5 -relief solid -style MeinStil.TLabelframe
ttk::label .fr.lb -text "Das ist ein Text"
pack .fr.lb -side top
pack .fr

ttk::button .btKlein -text "Schrift 8" -command {font configure MeineSchrift -size 8}
ttk::button .btGross -text "Schrift 16" -command {font configure MeineSchrift -size 16}
pack .btKlein -side left
pack .btGross -side right
