#!/usr/bin/env wish

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

font create MeineSchrift -family Helvetica -size 12 -slant roman -weight normal

ttk::style theme use default

ttk::style configure MeinStil.TCheckbutton -background $Farbe2
ttk::style configure MeinStil.TCheckbutton -foreground $Farbe1
ttk::style configure MeinStil.TCheckbutton -font MeineSchrift

ttk::style map MeinStil.TCheckbutton -background [list active $Farbe2 disabled $Farbe7]
ttk::style map MeinStil.TCheckbutton -foreground [list active $Farbe1 disabled $Farbe8]

# Stil der Markierung beim Thema default
ttk::style configure MeinStil.TCheckbutton -indicatordiameter 15 ; # Groesse der Markierung
ttk::style configure MeinStil.TCheckbutton -indicatorcolor $Farbe3 ; # Wenn nicht markiert ist
ttk::style map MeinStil.TCheckbutton -indicatorcolor [list selected $Farbe1 pressed $Farbe1] ; # selected = wenn markiert ist; pressed = wenn der Mausbutton gedrueckt ist

# Disabled-Stil beim Thema default
ttk::style configure Disabled.MeinStil.TCheckbutton -indicatorcolor $Farbe6
ttk::style map Disabled.MeinStil.TCheckbutton -indicatorcolor [list selected $Farbe8]

set AnAus 1
ttk::checkbutton .cb -text "Text" -variable AnAus -padding {10 10 10 10} -style MeinStil.TCheckbutton
pack .cb -side left

ttk::button .btKlein -text "Schrift 8" -command {
	font configure MeineSchrift -size 8
	ttk::style configure MeinStil.TCheckbutton -indicatordiameter 10
}
ttk::button .btGross -text "Schrift 16" -command {
	font configure MeineSchrift -size 16
	ttk::style configure MeinStil.TCheckbutton -indicatordiameter 20
}
pack .btKlein -side top
pack .btGross -side top

ttk::button .btNormal -text "Normal" -command {
	.cb configure -state normal
	.cb configure -style MeinStil.TCheckbutton
	}
ttk::button .btDisabled -text "Disabled" -command {
	.cb configure -state disabled
	.cb configure -style Disabled.MeinStil.TCheckbutton
}
pack .btNormal -side top
pack .btDisabled -side top

