#!/usr/bin/env wish

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

font create MeineSchrift -family Helvetica -size 12 -slant roman -weight normal

ttk::style theme use clam

# Ein frame-Element, um die Hintergrundfarbe zu setzen
ttk::style configure MeinStil.TFrame -background $Farbe2
ttk::frame .fr -style MeinStil.TFrame
pack .fr

ttk::style configure MeinStil.TRadiobutton -background $Farbe2
ttk::style configure MeinStil.TRadiobutton -foreground $Farbe1
ttk::style configure MeinStil.TRadiobutton -indicatorbackground $Farbe3
ttk::style configure MeinStil.TRadiobutton -indicatorforeground $Farbe1
ttk::style configure MeinStil.TRadiobutton -indicatorsize 15
ttk::style configure MeinStil.TRadiobutton -font MeineSchrift

ttk::style map MeinStil.TRadiobutton -background [list active $Farbe2 disabled $Farbe7]
ttk::style map MeinStil.TRadiobutton -foreground [list active $Farbe1 disabled $Farbe8]
ttk::style map MeinStil.TRadiobutton -indicatorbackground [list active $Farbe3 disabled $Farbe6]
ttk::style map MeinStil.TRadiobutton -indicatorforeground [list active $Farbe1 disabled $Farbe8]

set Farbe "rot"
ttk::radiobutton .fr.rbRot -text "rot" -variable Farbe -value "rot" -style MeinStil.TRadiobutton
ttk::radiobutton .fr.rbGelb -text "gelb" -variable Farbe -value "gelb" -style MeinStil.TRadiobutton
ttk::radiobutton .fr.rbBlau -text "blau" -variable Farbe -value "blau" -style MeinStil.TRadiobutton
 
pack .fr.rbRot -side top -anchor w
pack .fr.rbGelb -side top -anchor w
pack .fr.rbBlau -side top -anchor w

ttk::button .btKlein -text "Schrift 8" -command {
  font configure MeineSchrift -size 8
  ttk::style configure MeinStil.TRadiobutton -indicatorsize 10
}
ttk::button .btGross -text "Schrift 16" -command {
  font configure MeineSchrift -size 16
  ttk::style configure MeinStil.TRadiobutton -indicatorsize 20
}
pack .btKlein -side top
pack .btGross -side top

ttk::button .btNormal -text "Normal" -command {
	.fr.rbRot configure -state normal
	.fr.rbGelb configure -state normal
	.fr.rbBlau configure -state normal
	ttk::style configure MeinStil.TFrame -background $Farbe2
}
ttk::button .btDisabled -text "Disabled" -command {
	.fr.rbRot configure -state disabled
	.fr.rbGelb configure -state disabled
	.fr.rbBlau configure -state disabled
	ttk::style configure MeinStil.TFrame -background $Farbe7
}
pack .btNormal -side top
pack .btDisabled -side top
