#!/usr/bin/env wish

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

font create MeineSchrift -family Helvetica -size 12 -slant roman -weight normal

ttk::style theme use clam

ttk::style configure MeinStil.TMenubutton -background $Farbe2
ttk::style configure MeinStil.TMenubutton -foreground $Farbe1
ttk::style configure MeinStil.TMenubutton -arrowcolor $Farbe1
ttk::style configure MeinStil.TMenubutton -bordercolor $Farbe1
ttk::style configure MeinStil.TMenubutton -lightcolor $Farbe2
ttk::style configure MeinStil.TMenubutton -darkcolor $Farbe2
ttk::style configure MeinStil.TMenubutton -font MeineSchrift

ttk::style map MeinStil.TMenubutton -background [list active $Farbe1 disabled $Farbe7]
ttk::style map MeinStil.TMenubutton -foreground [list active $Farbe2 disabled $Farbe8]
ttk::style map MeinStil.TMenubutton -bordercolor [list active $Farbe1 disabled $Farbe7]
ttk::style map MeinStil.TMenubutton -lightcolor [list active $Farbe1 disabled $Farbe7]
ttk::style map MeinStil.TMenubutton -darkcolor [list active $Farbe1 disabled $Farbe7]
ttk::style map MeinStil.TMenubutton -arrowcolor [list active $Farbe2 disabled $Farbe8]

ttk::style configure MeinStil.TMenubutton -arrowsize 8

set Ausrichtung "links"
ttk::menubutton .mb -textvariable Ausrichtung -style MeinStil.TMenubutton 
menu .mb.menu -tearoff 0 -font MeineSchrift -background $Farbe2 -foreground $Farbe1 -activebackground $Farbe1 -activeforeground $Farbe2 -disabledforeground $Farbe8 -selectcolor $Farbe1
.mb configure -menu .mb.menu
.mb.menu add radiobutton -value "links" -variable Ausrichtung -label "links"
.mb.menu add radiobutton -value "zentriert" -variable Ausrichtung -label "zentriert" -state disabled
.mb.menu add radiobutton -value "rechts" -variable Ausrichtung -label "rechts"
.mb.menu add cascade -label "Sonstiges" -menu .mb.menu.sonstiges
menu .mb.menu.sonstiges -tearoff 0 -font MeineSchrift -background $Farbe2 -foreground $Farbe1 -activebackground $Farbe1 -activeforeground $Farbe2 -disabledforeground $Farbe8 -selectcolor $Farbe1
.mb.menu.sonstiges add radiobutton -value "Blocksatz" -variable Ausrichtung -label "Blocksatz"
.mb.menu.sonstiges add radiobutton -value "Sonstiges" -variable Ausrichtung -label "Sonstiges"

pack .mb -side left

ttk::button .btKlein -text "Schrift 8" -command {font configure MeineSchrift -size 8; ttk::style configure MeinStil.TMenubutton -arrowsize 4}
ttk::button .btGross -text "Schrift 16" -command {font configure MeineSchrift -size 16; ttk::style configure MeinStil.TMenubutton -arrowsize 10}
pack .btKlein -side top
pack .btGross -side top

ttk::button .btNormal -text "Normal" -command {.mb configure -state normal}
ttk::button .btDisabled -text "Disabled" -command {.mb configure -state disabled}
pack .btNormal -side top
pack .btDisabled -side top


