#!/usr/bin/env wish

proc StatusPruefen {} {
  uplevel #0 {
    if {[.fr.sbY instate disabled]} {
      ttk::style map MeinStil.Vertical.TScrollbar -background [list active $Farbe7 disabled $Farbe7]
      ttk::style map MeinStil.Vertical.TScrollbar -bordercolor [list active $Farbe8 disabled $Farbe8]
      ttk::style map MeinStil.Vertical.TScrollbar -lightcolor [list active $Farbe7 disabled $Farbe7]
      ttk::style map MeinStil.Vertical.TScrollbar -darkcolor [list active $Farbe8 disabled $Farbe8]
      ttk::style map MeinStil.Vertical.TScrollbar -arrowcolor [list active $Farbe8 disabled $Farbe8]
    } else {
      ttk::style map MeinStil.Vertical.TScrollbar -background [list active $Farbe2 disabled $Farbe7]
      ttk::style map MeinStil.Vertical.TScrollbar -bordercolor [list active $Farbe1 disabled $Farbe8]
      ttk::style map MeinStil.Vertical.TScrollbar -lightcolor [list active $Farbe2 disabled $Farbe7]
      ttk::style map MeinStil.Vertical.TScrollbar -darkcolor [list active $Farbe2 disabled $Farbe8]
      ttk::style map MeinStil.Vertical.TScrollbar -arrowcolor [list active $Farbe1 disabled $Farbe8]
    }
  }
}

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

ttk::style theme use clam

ttk::style configure MeinStil.Vertical.TScrollbar -background $Farbe2
ttk::style configure MeinStil.Vertical.TScrollbar -lightcolor $Farbe1
ttk::style configure MeinStil.Vertical.TScrollbar -darkcolor $Farbe2
ttk::style configure MeinStil.Vertical.TScrollbar -troughcolor $Farbe3
ttk::style configure MeinStil.Vertical.TScrollbar -arrowcolor $Farbe1
ttk::style configure MeinStil.Vertical.TScrollbar -arrowsize 12

ttk::style map MeinStil.Vertical.TScrollbar -background [list active $Farbe2 disabled $Farbe7]
ttk::style map MeinStil.Vertical.TScrollbar -bordercolor [list active $Farbe1 disabled $Farbe8]
ttk::style map MeinStil.Vertical.TScrollbar -lightcolor [list active $Farbe2 disabled $Farbe7]
ttk::style map MeinStil.Vertical.TScrollbar -darkcolor [list active $Farbe2 disabled $Farbe8]
ttk::style map MeinStil.Vertical.TScrollbar -arrowcolor [list active $Farbe1 disabled $Farbe8]

set Liste {Anton Berta Caesar Dora Emil Friedrich Gustav Heinrich Ida Julius Kaufmann}
set Liste [concat $Liste {Ludwig Martha Nordpol Otto Paula Quelle Richard Samuel Schule Theodor}]
set Liste [concat $Liste {Ulrich Viktor Wilhelm Xanthippe Ypsilon Zacharias}]

ttk::frame .fr
listbox .fr.lbox -width 15 -height 15 -xscrollcommand {.fr.sbX set} -yscrollcommand {.fr.sbY set} -listvariable Liste
ttk::scrollbar .fr.sbX -orient horizontal -command {.fr.lbox xview}
ttk::scrollbar .fr.sbY -style MeinStil.Vertical.TScrollbar -command {.fr.lbox yview}

pack .fr.sbX -side bottom -fill x
pack .fr.sbY -side right -fill y
pack .fr.lbox -side top -expand yes -fill both
pack .fr -side top -expand yes -fill both

bind .fr.sbY <Enter> {StatusPruefen}

ttk::button .btKlein -text "Klein" -command {ttk::style configure MeinStil.Vertical.TScrollbar -arrowsize 10}
ttk::button .btGross -text "Gross" -command {ttk::style configure MeinStil.Vertical.TScrollbar -arrowsize 20}

pack .btKlein -side left
pack .btGross -side right
