#!/usr/bin/env wish

proc StatusPruefen {} {
  uplevel #0 {
    if {[.sc instate disabled]} {
      ttk::style map MeinStil.Horizontal.TScale -background [list active $Farbe7 disabled $Farbe7]
      ttk::style map MeinStil.Horizontal.TScale -bordercolor [list active $Farbe8 disabled $Farbe8]
      ttk::style map MeinStil.Horizontal.TScale -lightcolor [list active $Farbe7 disabled $Farbe7]
      ttk::style map MeinStil.Horizontal.TScale -darkcolor [list active $Farbe8 disabled $Farbe8]
    } else {
      ttk::style map MeinStil.Horizontal.TScale -background [list active $Farbe2 disabled $Farbe7]
      ttk::style map MeinStil.Horizontal.TScale -bordercolor [list active $Farbe1 disabled $Farbe8]
      ttk::style map MeinStil.Horizontal.TScale -lightcolor [list active $Farbe2 disabled $Farbe7]
      ttk::style map MeinStil.Horizontal.TScale -darkcolor [list active $Farbe2 disabled $Farbe8]
    }
  }
}

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

ttk::style theme use clam

ttk::style configure MeinStil.Horizontal.TScale -background $Farbe2
ttk::style configure MeinStil.Horizontal.TScale -lightcolor $Farbe1
ttk::style configure MeinStil.Horizontal.TScale -darkcolor $Farbe2
ttk::style configure MeinStil.Horizontal.TScale -troughcolor $Farbe3

ttk::style map MeinStil.Horizontal.TScale -background [list active $Farbe2 disabled $Farbe7]
ttk::style map MeinStil.Horizontal.TScale -bordercolor [list active $Farbe1 disabled $Farbe8]
ttk::style map MeinStil.Horizontal.TScale -lightcolor [list active $Farbe2 disabled $Farbe7]
ttk::style map MeinStil.Horizontal.TScale -darkcolor [list active $Farbe2 disabled $Farbe8]

ttk::style configure Disabled.MeinStil.Horizontal.TScale -troughcolor $Farbe7

ttk::scale .sc -style MeinStil.Horizontal.TScale -orient horizontal -from 0 -to 100 -length 200 -variable Wert

pack .sc -side top

bind .sc <Enter> {StatusPruefen}

ttk::button .btNormal -text "Normal" -command {
  .sc state !disabled ;# normal funktioniert nicht
  .sc configure -style MeinStil.Horizontal.TScale
}
ttk::button .btDisabled -text "Disabled" -command {
  .sc state disabled
  .sc configure -style Disabled.MeinStil.Horizontal.TScale
}
pack .btNormal -side left
pack .btDisabled -side left

