#!/usr/bin/env wish

proc Schleife {Element} {
  for {set Zaehler 0} {$Zaehler <= 30} {incr Zaehler} {
    after 30
    $Element configure -value $Zaehler
    update idletask
  }
}

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

ttk::style theme use clam

ttk::style configure MeinStil.Horizontal.TProgressbar -background $Farbe2
ttk::style configure MeinStil.Horizontal.TProgressbar -lightcolor $Farbe1
ttk::style configure MeinStil.Horizontal.TProgressbar -darkcolor $Farbe2
ttk::style configure MeinStil.Horizontal.TProgressbar -troughcolor $Farbe3

ttk::style map MeinStil.Horizontal.TProgressbar -background [list active $Farbe2 disabled $Farbe8]
ttk::style map MeinStil.Horizontal.TProgressbar -bordercolor [list active $Farbe1 disabled $Farbe8]
ttk::style map MeinStil.Horizontal.TProgressbar -lightcolor [list active $Farbe2 disabled $Farbe7]
ttk::style map MeinStil.Horizontal.TProgressbar -darkcolor [list active $Farbe2 disabled $Farbe8]

ttk::style configure Disabled.MeinStil.Horizontal.TProgressbar -troughcolor $Farbe7

set Wert 0
ttk::progressbar .pb -style MeinStil.Horizontal.TProgressbar -orient horizontal -maximum 100 -length 200 -value 0
ttk::button .bt -text "Start" -command {Schleife .pb}
pack .pb -side top
pack .bt -side bottom

ttk::button .btNormal -text "Normal" -command {
  .pb state !disabled
  .pb configure -style MeinStil.Horizontal.TProgressbar
}
ttk::button .btDisabled -text "Disabled" -command {
  .pb state disabled
  .pb configure -style Disabled.MeinStil.Horizontal.TProgressbar
}
pack .btNormal -side left
pack .btDisabled -side left
