#!/usr/bin/env tclsh
package require struct::set

set Liste1 {1 3 4 7 8}
set Liste2 {1 2 4 5 6 7}
set Liste3 {4 7 9}
set Liste4 {1 3 4 7 8}

puts "Liste1: $Liste1"
puts "Liste2: $Liste2"
puts "Liste3: $Liste3"
puts "Liste4: $Liste4"
puts ""
puts "Vereinigungsmenge Liste1 bis Liste3:"
puts [lsort [::struct::set union $Liste1 $Liste2 $Liste3]]
puts ""
puts "Schnittmenge Liste1 bis Liste3:"
puts [lsort [::struct::set intersect $Liste1 $Liste2 $Liste3]]
puts ""
puts "Elemente von Liste1, die nicht in Liste2 vorkommen:"
puts [lsort [::struct::set difference $Liste1 $Liste2]]
puts ""
puts "Elemente von Liste1, die nicht in Liste2 vorkommen sowie"
puts "die Elemente von Liste2, die nicht in Liste1 vorkommen:"
puts [lsort [::struct::set symdiff $Liste1 $Liste2]]
puts ""
puts "Prueft, ob Liste1 identisch ist mit Liste2:"
puts [::struct::set equal $Liste1 $Liste2]
puts "Prueft, ob Liste1 identisch ist mit Liste4:"
puts [::struct::set equal $Liste1 $Liste4]
