#!/usr/bin/env tclsh
package require struct::matrix

expr srand([clock seconds])

::struct::matrix Matrix1
Matrix1 add columns 5
for {set i 0} {$i < 4} {incr i} {
	set tmp [expr int(100*rand())]
	set Row [list $tmp $tmp $tmp $tmp $tmp]
	Matrix1 add row $Row
}

::struct::matrix Matrix2
Matrix2 add columns [Matrix1 columns]

for {set i 0} {$i < [Matrix1 rows]} {incr i} {
	Matrix2 add row [Matrix1 get row $i]
}

puts "Matrix 1:"
set Zeilen [Matrix1 rows]
for {set Zeile 0} {$Zeile < $Zeilen} {incr Zeile} {
    puts [Matrix1 get row $Zeile]
}
puts "-----------"
puts "Matrix 2:"
set Zeilen [Matrix2 rows]
for {set Zeile 0} {$Zeile < $Zeilen} {incr Zeile} {
    puts [Matrix2 get row $Zeile]
}
