#!/usr/bin/env tclsh

package require struct::pool

set Autopool [::struct::pool]
$Autopool maxsize 20

$Autopool add BMW Citroen Opel Fiat Honda Mazda
puts "Der Pool besteht aus:"
puts [$Autopool info allitems]
puts ""

puts "Honda entfernen und Honda1 und Honda2 hinzufuegen:"
$Autopool remove Honda
$Autopool add Honda1 Honda2
puts [$Autopool info allitems]
puts ""

puts "Anton bucht ein Auto:"
if {[$Autopool request Auto -allocID "Anton"]} {
	puts "$Auto wurde gebucht von [$Autopool info allocID $Auto]."
} else {
	puts "Kein Auto verfuegbar."
}
puts [$Autopool info allocstate]
puts ""

puts "Berta bucht ein Auto:"
if {[$Autopool request Auto -allocID "Berta"]} {
	puts "$Auto wurde gebucht von [$Autopool info allocID $Auto]."
} else {
	puts "Kein Auto verfuegbar."
}
puts [$Autopool info allocstate]
puts ""

puts "Dora bucht ein Auto und bevorzugt einen BMW:"
if {[$Autopool request Auto -allocID "Dora" -prefer BMW]} {
	puts "$Auto wurde gebucht von [$Autopool info allocID $Auto]."
} else {
	puts "Der BMW ist nicht verfuegbar. Folgende Autos sind noch frei:"
	puts [$Autopool info freeitems]
}
puts ""

puts "Anton gibt das Auto zurueck:"
$Autopool release BMW
puts [$Autopool info allocstate]
puts ""
