#!/usr/bin/env wish

proc LinieZeichnen {x1 y1 x2 y2 Farbe} {
	set ObjektID [.c create line $x1 $y1 $x2 $y2 -width 3 -fill $Farbe]
}

proc MausAn {x y} {
	global ObjektID
	global xAlt
	global yAlt
	set ObjektID [.c find closest $x $y]
	bind .c <Motion> {MausBewegen [%W canvasx %x] [%W canvasy %y]}
	set xAlt $x
	set yAlt $y
}

proc MausAus {} {
	bind .c <Motion> {}
}

proc MausBewegen {x y} {
	global ObjektID
	global xAlt
	global yAlt
	set xVerschiebung [expr $x - $xAlt]
	set yVerschiebung [expr $y - $yAlt]
	.c move $ObjektID $xVerschiebung $yVerschiebung
	set xAlt $x
	set yAlt $y
}

canvas .c -width 200 -height 200
pack .c -expand yes -fill both -side top
bind .c <ButtonPress-1> {MausAn [%W canvasx %x] [%W canvasy %y]}
bind .c <ButtonRelease-1> {MausAus}

set ObjektID ""
set xAlt ""
set yAlt ""
LinieZeichnen 20 20 80 80 red
LinieZeichnen 100 180 170 60 blue
