#!/usr/bin/tclsh

trace add variable Farbe {write read unset} NeueFarbe

proc NeueFarbe {tmpName Element Aktion} {
	upvar 1 $tmpName Name
	puts "Bei der Variable $tmpName gab es folgende Aktion: $Aktion"
	switch $Aktion {
		"read" {puts "Es wurde der Wert $Name von der Variable $tmpName gelesen"}
		"write" {puts "Die Variable $tmpName hat jetzt den Wert $Name"}
		"unset" {puts "Die Variable $tmpName wurde geloescht"}
	}
	
}

set Farbe "rot"
puts "---"
puts "Hauptprogramm: $Farbe"
puts "---"
set Farbe "gelb"
puts "---"
puts "Hauptprogramm: $Farbe"
puts "---"
unset Farbe
