#!/usr/bin/env tclsh

set Liste {}

lappend Liste Montag Dienstag Mittwoch Donnerstag
lappend Liste Freitag Samstag Sonntag

puts "Liste: $Liste"

puts "Mittwoch hat den Index:"
puts [lsearch $Liste Mittwoch]

puts "Samstag hat den Index:"
puts [lsearch $Liste Samstag]

puts "Die Suche nach \"*tag\" findet sechs Elemente (Ausgabe der Elemente als Index):"
puts [lsearch -all $Liste *tag]

puts "Die Suche nach \"*Tag\" findet wegen der Gross-/Kleinschreibung keine Elemente:"
puts [lsearch -all $Liste *Tag]

puts "Die Suche nach \"*Tag\" findet jetzt sechs Elemente (Ausgabe der Elemente als Index):"
puts [lsearch -all -nocase $Liste *Tag]

puts "Die Suche nach \"*Tag\" findet sechs Elemente (Ausgabe der Elemente als Text):"
puts [lsearch -all -nocase -inline $Liste *Tag]
