#!/usr/bin/env tclsh

proc StringFindAll {Text Suchbegriff} {
  set Liste {}
  set Index [string last $Suchbegriff $Text]
  while {$Index >= 0} {
    lappend Liste $Index
    set Text [string range $Text 0 [expr $Index -1]]
    set Index [string last $Suchbegriff $Text]
  }
  set Liste [lsort -integer $Liste]
  return $Liste
}

set Text "Ein kurzer Text"
puts $Text

set Suchbegriff "e"
set Liste [StringFindAll $Text $Suchbegriff]
puts "\"$Suchbegriff\" kommt an folgenden Positionen (Index) vor: $Liste"

set Suchbegriff "kur"
set Liste [StringFindAll $Text $Suchbegriff]
puts "\"$Suchbegriff\" kommt an folgenden Positionen (Index) vor: $Liste"
