#!/usr/bin/env tclsh

puts "Im Folgenden bedeutet 0=nicht gefunden und 1=gefunden."

set Text "Ein kurzer Text"
puts $Text

puts "Der Text enthaelt den Suchbegriff \"kurz\": [string match "*kurz*" $Text]"
puts "Der Text enthaelt nicht den Suchbegriff \"karz\": [string match "*karz*" $Text]"
puts "Der Text enthaelt nicht den Suchbegriff \"Kurz\" (wegen der Gross-/Kleinschreibung): [string match "*Kurz*" $Text]"
puts "Der Text enthaelt den Suchbegriff \"Kurz\", weil die Gross/Kleinschreibung jetzt ignoriert wird: [string match -nocase "*Kurz*" $Text]"
puts "Der Text enthaelt den Suchbegriff \"k?rz\": [string match "*k?rz*" $Text]"
puts "Der Text enthaelt nicht den Suchbegriff \"k?z\", weil das Fragezeichen genau ein Zeichen ersetzt: [string match "*k?z*" $Text]"
puts "Der Text enthaelt den Suchbegriff \"k??z\", weil jedes Fragezeichen genau ein Zeichen ersetzt: [string match "*k??z*" $Text]"
puts "Der Text enthaelt den Suchbegriff \"k*z\", weil das Sternchen beliebig viele Zeichen ersetzt: [string match "*k*z*" $Text]"
