#!/usr/bin/env tclsh

proc ExistenzPruefen {Pfad} {
  if {[file exist $Pfad]} {
    puts "Die Datei bzw. der Ordner $Pfad existiert."
  } else {
    puts "Die Datei bzw. der Ordner $Pfad existiert nicht."
  }
}
 
set Datei [info script]
set Ordner [file join $env(HOME) Test]

puts "Den Ordner $Ordner erstellen:"
file mkdir $Ordner
ExistenzPruefen $Ordner
puts ""

puts "Die Datei $Datei in den Ordner $Ordner kopieren:"
file copy $Datei $Ordner
set DateiNeu [file join $Ordner [file tail $Datei]]
ExistenzPruefen $DateiNeu
puts ""

set DateiNeu2 [file join $Ordner Neu.txt]
puts "Die Datei $DateiNeu umbenennen in $DateiNeu2:"
file rename $DateiNeu $DateiNeu2
ExistenzPruefen $DateiNeu2
puts ""

puts "Die Datei $DateiNeu2 loeschen:"
file delete $DateiNeu2
ExistenzPruefen $DateiNeu2
puts ""

puts "Den Ordner $Ordner loeschen:"
file delete $Ordner
ExistenzPruefen $Ordner
