#!/usr/bin/env wish

proc Pruefen {Text Zeichen Index} {
  return [string is integer $Zeichen]
}

proc Rechnen {Zahl1 Zahl2} {
  if {$Zahl1 != "" && $Zahl2 != ""} {
    set Ergebnis [expr $Zahl1 + $Zahl2]
  } else {
    set Ergebnis "Fehler"
  }
  return $Ergebnis
}

ttk::frame .frAufgabe
ttk::frame .frButton

ttk::entry .frAufgabe.enZahl1 -textvariable Zahl1 -width 5 -validate key -validatecommand {Pruefen %P %S %i}
ttk::entry .frAufgabe.enZahl2 -textvariable Zahl2 -width 5 -validate key -validatecommand {Pruefen %P %S %i}
ttk::label .frAufgabe.lbErgebnis -textvariable Ergebnis -width 5

ttk::label .frAufgabe.lbPlus -text "+"
ttk::label .frAufgabe.lbGleich -text "="

ttk::button .frButton.btRechnen -text "Rechnen" -command {set Ergebnis [Rechnen $Zahl1 $Zahl2]}
ttk::button .frButton.btEnde -text "Ende" -command exit

pack .frAufgabe -side top -padx 5 -pady 10
pack .frAufgabe.enZahl1 -side left
pack .frAufgabe.lbPlus -side left -padx 3
pack .frAufgabe.enZahl2 -side left
pack .frAufgabe.lbGleich -side left -padx 3
pack .frAufgabe.lbErgebnis -side left
 
pack .frButton -side bottom -fill x -pady 10
pack .frButton.btRechnen -side left -padx 5
pack .frButton.btEnde -side right -padx 5
focus .frAufgabe.enZahl1
