#!/usr/bin/env wish

proc AuswahlAnzeigen {Liste IndexAuswahl tmpText} {
  upvar $tmpText Text
  set Text "Es wurden folgende Eintraege ausgewaehlt:"
  foreach Index $IndexAuswahl {
    set Element [lindex $Liste $Index]
    append Text "\nIndex: $Index / Element: $Element"
  }
}
set Liste {Januar Februar Maerz April Mai Juni}
listbox .lbox -listvariable Liste -selectmode extended
button .bt -text "Auswahl anzeigen" -command {AuswahlAnzeigen $Liste [.lbox curselection] Text}
label .lb -textvariable Text -anchor w -justify left

pack .lbox -side top
pack .bt -side top
pack .lb -side bottom
