#!/usr/bin/env wish

set Liste {Anton Berta Cäsar Dora Emil Friedrich Gustav Heinrich Ida Julius Kaufmann}
set Liste [concat $Liste {Ludwig Martha Nordpol Otto Paula Quelle Richard Samuel Schule Theodor}]
set Liste [concat $Liste {Ulrich Viktor Wilhelm Xanthippe Ypsilon Zacharias}]

ttk::treeview .tv -columns Person -show headings -yscrollcommand {.sbY set}
foreach Element $Liste {
  .tv insert {} end -values $Element
}
.tv heading Person -text "Vorname"
ttk::scrollbar .sbY -command {.tv yview}

pack .sbY -side right -fill y
pack .tv -side left
