#!/usr/bin/env wish

set ListeZeile1 ""
lappend ListeZeile1 "1"
lappend ListeZeile1 "Donald Duck"
lappend ListeZeile1 "1934"
lappend ListeZeile1 "Entenhausen"

set ListeZeile2 ""
lappend ListeZeile2 "2"
lappend ListeZeile2 "Mickey Mouse"
lappend ListeZeile2 "1928"
lappend ListeZeile2 "Entenhausen"

set ListeZeile3 ""
lappend ListeZeile3 "3"
lappend ListeZeile3 "Dagobert Duck"
lappend ListeZeile3 "1947"
lappend ListeZeile3 "Entenhausen"

set ListeEintraege ""
lappend ListeEintraege $ListeZeile1
lappend ListeEintraege $ListeZeile2
lappend ListeEintraege $ListeZeile3

ttk::treeview .tv -columns {ID Name Datum Ort} -displaycolumns {Name Datum Ort} -show headings -yscrollcommand {.sbY set} -xscrollcommand {.sbX set}
.tv column Name -minwidth 200 -stretch 1
.tv column Datum -minwidth 120 -stretch 1
.tv column Ort -minwidth 200 -stretch 1

foreach Zeile $ListeEintraege {
  .tv insert {} end -values $Zeile
}

.tv heading Name -text "Vor- und Nachame" 
.tv heading Datum -text "Geburtsdatum"
.tv heading Ort -text "Wohnort"

.tv heading Name -anchor w
.tv heading Datum -anchor center
.tv heading Ort -anchor w

.tv column Name -anchor w
.tv column Datum -anchor center
.tv column Ort -anchor w

.tv column Datum -width 140

ttk::scrollbar .sbY -command {.tv yview}
ttk::scrollbar .sbX -orient horizontal -command {.tv xview}

pack .sbY -side right -fill y
pack .sbX -side bottom -fill x
pack .tv -side left -expand yes -fill both
