#!/usr/bin/env wish
 
set Liste {{Donald Duck} {Dagobert Duck} {Micky Maus}}
 
proc AuswahlAnzeigen {} {
  set Auswahl [.fr.tv selection]
  puts "Auswahl: $Auswahl"
  foreach Element $Auswahl {
    set Wert [.fr.tv item $Element -value]
    puts "Selektion: $Wert"
    set Vorname [lindex $Wert 0]
    set Nachname [lindex $Wert 1]
    puts "Vorname: $Vorname"
    puts "Nachname: $Nachname"
  }
}
 
ttk::frame .fr
ttk::treeview .fr.tv -columns {VName NName} -show headings -selectmode extended -yscrollcommand {.fr.sbY set}
foreach Element $Liste {
  .fr.tv insert {} end -values $Element
}
.fr.tv heading VName -text "Vorname" 
.fr.tv heading NName -text "Nachname" 
ttk::scrollbar .fr.sbY -command {.fr.tv yview}
ttk::button .bt -text "OK" -command AuswahlAnzeigen
 
pack .fr.sbY -side right -fill y
pack .fr.tv -side left
pack .fr
pack .bt
