#!/usr/bin/env wish

proc FortschrittAnzeigen {} {
  set CursorAlt [. cget -cursor]
   
  toplevel .mod
  ttk::label .mod.lb -text ""
  pack .mod.lb
  tkwait visibility .mod
  grab set .mod
  . configure -cursor watch
  .mod configure -cursor watch
  wm title .mod "Fortschritt"
  wm minsize .mod 200 1

  return $CursorAlt
}

proc FortschrittLoeschen {CursorAlt} {
  . configure -cursor $CursorAlt
  .mod configure -cursor $CursorAlt
  grab release .mod
  destroy .mod
}

proc Berechnung {} {
  set CursorAlt [FortschrittAnzeigen]
  .mod.lb configure -text "Fortschritt:"
  update idletasks

  set Anzahl 100
  for {set i 1} {$i <= $Anzahl } {incr i} {
    after 100
    if {[expr $i % 10] == 0} {
      .mod.lb configure -text "Fortschritt: $i / $Anzahl"
      update idletasks
    }
  }

  FortschrittLoeschen $CursorAlt
}

ttk::button .bt -text "Berechnung starten" -command Berechnung
pack .bt
