#!/usr/bin/env wish
 
proc ModalDialog {Titel Text Fokus args} {
  global GlobRueckgabewert
   
  set GlobRueckgabewert {}
  set AnzahlButtons [llength $args]
 
  toplevel .mod
  wm title .mod $Titel
   
  ttk::label .mod.lb -text $Text
  grid .mod.lb -row 0 -column 0 -columnspan $AnzahlButtons
 
  set ButtonIndex 0
  foreach Button $args {
    ttk::button .mod.bt$ButtonIndex -text $Button -command "grab release .mod; destroy .mod; set GlobRueckgabewert $ButtonIndex"
    grid .mod.bt$ButtonIndex -row 1 -column $ButtonIndex
    bind .mod.bt$ButtonIndex <Return> {%W invoke}
    incr ButtonIndex
  }
   
  focus .mod.bt$Fokus
  tkwait visibility .mod
  grab set .mod
}
 
proc ProgrammBeenden {} {
  global GlobRueckgabewert
   
  ModalDialog "Frage" "Moechten Sie das Programm beenden?" 1 Ja Nein
  tkwait window .mod
  if {$GlobRueckgabewert == 0} {
    destroy .
  }
}
 
set GlobRueckgabewert {}

ttk::entry .en
ttk::button .bt -text "Beenden" -command ProgrammBeenden
pack .en
pack .bt
