#!/usr/bin/env wish

proc Animation {dx dy} {
  # bewegt den Ball waehrend der Anwender eine Eingabe macht
  global Ball
  
  set Koordinaten [.c coords $Ball]
  set x [lindex $Koordinaten 0]
  set y [lindex $Koordinaten 1]

  # wenn der Ball an den Rand kommt, Richtung aendern
  if {$y >= 83} {
    set dy -1
  }
  if {$y <= 0} {
    set dy 1
  }
  if {$x >= 283} {
    set dx -1
  }
  if {$x <= 0} {
    set dx 1
  }
  
  .c move $Ball $dx $dy
  update idletasks
  after 10 Animation $dx $dy
}

proc AnimationStoppen {} {
  # loescht alle bestehenden after-Aufrufe
  foreach Element [after info] {
    after cancel $Element
  }
}

canvas .c -width 300 -height 100 -background yellow
pack .c
set Ball [.c create oval 0 0 16 16 -width 1 -outline black -fill black]

ttk::frame .fr
ttk::label .fr.lb -text "Eingabe:"
ttk::entry .fr.en
ttk::button .bt -text "Animation starten" -command {Animation 1 1}

pack .bt
pack .fr.lb -side left
pack .fr.en -side left
pack .fr

bind . "<Return>" AnimationStoppen   
bind . "<KP_Enter>" AnimationStoppen   
