#!/usr/bin/env tclsh

oo::class create Figur {
  variable Name
  variable Flaeche

  constructor {tmpName} {
    set Name $tmpName
    set Flaeche "unbekannt"
  }

  method Anzeigen {} {
    puts "$Name: Flaeche=$Flaeche"
  }
	
  export Anzeigen
}

oo::class create Rechteck {
  superclass Figur
  
  variable Flaeche
  variable SeiteA
  variable SeiteB
  
  filter WertePruefen
  
  constructor {tmpName tmpSeiteA tmpSeiteB} {
    next $tmpName
    set SeiteA $tmpSeiteA
    set SeiteB $tmpSeiteB
  }
  
  method WertePruefen {} {
    set Methode [self target]
    puts "Die aufgerufene Methode ist $Methode"
    if {$SeiteA < 0 || $SeiteB < 0} {
	  puts "Die Werte sind unzulaessig."
	  return
    }
    next
  }
  
  method Flaeche {} {
    set Flaeche [expr 1.0 * $SeiteA * $SeiteB]
  }
  
  export Flaeche
  unexport WertePruefen
}

Rechteck create Rechteck1 "Rechteck1" -3 5
Rechteck1 Anzeigen
Rechteck1 Flaeche


