#!/usr/bin/env wish

set Dateien1 {{"Datei 1" "560" "16.07.2015"} {"Datei 2" "85" "25.04.2015"}}
set Dateien2 {{"Datei 3" "89" "03.11.2014"} {"Datei 4" "793" "15.08.2015"} {"Datei 5" "688" "30.11.2014"}}

ttk::treeview .tv -columns {Dateiname GroesseKB Datum} -yscrollcommand {.sbY set}

.tv heading #0 -text "Laufwerk"
.tv heading Dateiname -text "Dateiname"
.tv heading GroesseKB -text "GroesseKB"
.tv heading Datum -text "Datum"

.tv insert {} end -id Laufwerk1 -text "Laufwerk 1"
.tv insert {} end -id Laufwerk2 -text "Laufwerk 2"

foreach Element $Dateien1 {
  .tv insert Laufwerk1 end -values $Element
}

foreach Element $Dateien2 {
  .tv insert Laufwerk2 end -values $Element
}

ttk::scrollbar .sbY -command {.tv yview}

pack .sbY -side right -fill y
pack .tv -side left -expand yes -fill both
