#!/usr/bin/env wish

set Schriftgroesse 10
font create Schrift -family Helvetica -size $Schriftgroesse -slant roman -weight normal
ttk::style theme use default
ttk::style configure TButton -font Schrift
ttk::style configure TLabel -font Schrift 
ttk::style configure TLabelFrame -font Schrift 
ttk::style configure TMenubutton -font Schrift 
ttk::style configure TRadiobutton -font Schrift
ttk::style configure TEntry -font Schrift 
ttk::style configure TCombobox -font Schrift 
ttk::style configure TCheckbutton -font Schrift
ttk::style configure TNotebook.Tab -font Schrift 
ttk::style configure Treeview -font Schrift 
ttk::style configure Treeview.Heading -font Schrift 

option add *Dialog.msg.font Schrift

menu .mbar -font Schrift
. configure -menu .mbar
.mbar add cascade -label "Einstellungen" -menu .mbar.einstellung
menu .mbar.einstellung -tearoff 0 -font Schrift
.mbar.einstellung add cascade -label "Schriftgroesse" -menu .mbar.einstellung.schriftgroesse
menu .mbar.einstellung.schriftgroesse -tearoff 0 -font Schrift
for {set i 6} {$i <= 20} {set i [expr $i+1]} {
	.mbar.einstellung.schriftgroesse add radiobutton -label $i -variable Schriftgroesse -value $i -command {font configure Schrift -size $Schriftgroesse}
}

set Liste {"Eine Listbox"}
set Text "Ein Eingabefeld"

ttk::label .lb -text "Ein ttk::Labelframe"
ttk::labelframe .lbframettk -labelwidget .lb
ttk::label .lbframettk.lb -text "Ein Label"

labelframe .lbframe -text "Ein Labelframe" -font Schrift
ttk::label .lbframe.lb -text "Ein Label"

ttk::button .bt -text "Ein Button"
ttk::checkbutton .cbt -text "Ein Checkbutton"
ttk::radiobutton .rb -text "Ein Radiobutton"

ttk::entry .en -textvariable Text -font Schrift
listbox .lbox -listvariable Liste -font Schrift
ttk::spinbox .sb -values {"Eine Spinbox"} -font Schrift
ttk::combobox .cb -values {"Eine Combobox"} -font Schrift
scale .sc -orient horizontal -from 0 -to 100 -length 200 -sliderlength 20 -showvalue 1 -variable Wert -label "Ein Scale-Element"  -font Schrift

ttk::notebook .nb
ttk::frame .nb.f1
ttk::frame .nb.f2
.nb add .nb.f1 -text "Reiter 1"
.nb add .nb.f2 -text "Reiter 2"
ttk::label .nb.f1.lb -text "Ein Label"

pack .lbframettk -pady 3
pack .lbframettk.lb -pady 3
pack .lbframe -pady 3
pack .lbframe.lb -pady 3
pack .bt -pady 3
pack .cbt -pady 3
pack .rb -pady 3
pack .sb -pady 3
pack .cb -pady 3
pack .sc -pady 3
pack .en -pady 3
pack .nb -pady 3
pack .nb.f1.lb -pady 3
pack .lbox -pady 3
