#!/usr/bin/env wish

set Liste {Anton Berta Caesar Dora Emil Friedrich Gustav Heinrich Ida Julius Kaufmann}
set Liste [concat $Liste {Ludwig Martha Nordpol Otto Paula Quelle Richard Samuel Theodor}]
set Liste [concat $Liste {Ulrich Viktor Wilhelm Xanthippe}]

ttk::frame .fr
ttk::treeview .fr.tv -columns Person -show headings -yscrollcommand {.fr.sbY set}
set ID 0
foreach Element $Liste {
   .fr.tv insert {} end -id $ID -values $Element
   incr ID
}
ttk::scrollbar .fr.sbY -command {.fr.tv yview}

ttk::button .bt1 -text "Einfuegen am Ende (nicht sichtbar)" -command {.fr.tv insert {} end -id 31 -values "Ypsilon"}
ttk::button .bt2 -text "Einfuegen am Ende (sichtbar)" -command {.fr.tv insert {} end -id 32 -values "Zacharias"; .fr.tv see 32}
ttk::button .bt3 -text "Zeige Eintrag 11" -command {.fr.tv see 10}

pack .fr.sbY -side right -fill y
pack .fr.tv -side left

pack .fr -side top
pack .bt1 -side top
pack .bt2 -side top
pack .bt3 -side top
