#!/usr/bin/env wish

set Liste {Anton Berta Caesar Dora Emil Friedrich Gustav Heinrich Ida Julius Kaufmann}
set Liste [concat $Liste {Ludwig Martha Nordpol Otto Paula Quelle Richard Samuel Theodor}]
set Liste [concat $Liste {Ulrich Viktor Wilhelm Xanthippe Ypsilon Zacharias}]

ttk::treeview .tv -selectmode browse -columns Person -show headings -yscrollcommand {.sbY set}

set ID 0
foreach Element $Liste {
   .tv insert {} end -id $ID -values $Element
   incr ID
}
ttk::scrollbar .sbY -command {.tv yview}

pack .sbY -side right -fill y
pack .tv -side left

.tv selection set 15
.tv see 15
update idletasks

after 2000

.tv selection remove 15
.tv selection set 10
.tv see 10
update idletasks
