#!/usr/bin/env wish

proc CursorZeigen {} {
	set CursorPosition [.txOben index insert]
	set tmp [split $CursorPosition "."]
	lassign $tmp CursorZeile CursorSpalte
	.txUnten delete 1.0 end
	.txUnten insert end "Der Cursor steht an folgender Position: Zeilenindex=$CursorZeile und Spaltenindex=$CursorSpalte\n"
}

proc SelektionZeigen {} {
	set Selektion [.txOben tag ranges sel]
	.txUnten delete 1.0 end
	.txUnten insert end   "Die Selektion ist: $Selektion. "

	set tmp [split $Selektion " "]
	lassign $tmp Anfang Ende
	
	set tmp [split $Anfang "."]
	lassign $tmp AnfangZeile AnfangSpalte

	set tmp [split $Ende "."]
	lassign $tmp EndeZeile EndeSpalte
	
	.txUnten insert end  "Die Selektion beginnt bei Zeilenindex=$AnfangZeile und Spaltenindex=$AnfangSpalte. "
	.txUnten insert end  "Die Selektion endet bei Zeilenindex=$EndeZeile und Spaltenindex=$EndeSpalte."
}

text .txOben -height 5 -width 50 -wrap none

ttk::frame .fr
ttk::button .fr.btCursor -text "Cursor-Position" -command {CursorZeigen}
ttk::button .fr.btSelektion -text "Selektion" -command {SelektionZeigen}

text .txUnten -height 5 -width 50 -wrap word

pack .txOben -side top
pack .fr.btCursor -side left
pack .fr.btSelektion -side left
pack .fr -side top
pack .txUnten -side top

.txOben insert end "Das ist die erste Zeile.\n"
.txOben insert end "Und es folgt sogleich die zweite Zeile.\n"
.txOben insert end "Zum Schluss gibt es noch eine dritte Zeile."
