#!/usr/bin/env wish

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

font create MeineSchrift -family Helvetica -size 12 -slant roman -weight normal

ttk::style theme use clam

ttk::style configure MeinStil.TButton -background $Farbe1
ttk::style configure MeinStil.TButton -foreground $Farbe2
ttk::style configure MeinStil.TButton -bordercolor $Farbe1 ; # Umrandung. Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style configure MeinStil.TButton -lightcolor $Farbe2 ; # Der Bereich zwischen der Umrandung und dem Eingabebereich. Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style configure MeinStil.TButton -darkcolor $Farbe2 ; # Der Bereich zwischen der Umrandung und dem Eingabebereich. Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style configure MeinStil.TButton -font MeineSchrift

ttk::style map MeinStil.TButton -background [list active $Farbe2 disabled $Farbe6]
ttk::style map MeinStil.TButton -foreground [list active $Farbe1 disabled $Farbe8]
ttk::style map MeinStil.TButton -bordercolor [list active $Farbe1 disabled $Farbe7] ; # Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style map MeinStil.TButton -lightcolor [list active $Farbe1 disabled $Farbe7] ; # Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.
ttk::style map MeinStil.TButton -darkcolor [list active $Farbe1 disabled $Farbe7] ; # Nur verfuegbar, wenn das Thema clam (siehe Zeile 14) gewaehlt ist.

ttk::button .bt -text "Button" -style MeinStil.TButton
pack .bt -side top

ttk::button .btKlein -text "Schrift 8" -command {font configure MeineSchrift -size 8}
ttk::button .btGross -text "Schrift 16" -command {font configure MeineSchrift -size 16}
pack .btKlein -side left
pack .btGross -side left

ttk::button .btNormal -text "Normal" -command {.bt configure -state normal}
ttk::button .btDisabled -text "Disabled" -command {.bt configure -state disabled}
pack .btNormal -side left
pack .btDisabled -side right
