#!/usr/bin/env wish

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

font create MeineSchrift -family Helvetica -size 12 -slant roman -weight normal

ttk::style theme use clam

ttk::style configure MeinStil.TNotebook -background $Farbe2
ttk::style configure MeinStil.TNotebook -foreground $Farbe2

ttk::style configure MeinStil.TNotebook.Tab -background $Farbe3 
ttk::style configure MeinStil.TNotebook.Tab -foreground $Farbe1
ttk::style configure MeinStil.TNotebook.Tab -font MeineSchrift

ttk::style map MeinStil.TNotebook.Tab -foreground [list active $Farbe2 disabled $Farbe8 selected $Farbe3]
ttk::style map MeinStil.TNotebook.Tab -background [list active $Farbe1 disabled $Farbe7 selected $Farbe2]

ttk::notebook .n -style MeinStil.TNotebook
ttk::frame .n.f1
ttk::frame .n.f2
ttk::frame .n.f3
.n add .n.f1 -text "Reiter 1"
.n add .n.f2 -text "Reiter 2"
.n add .n.f3 -text "Reiter 3"

ttk::label .n.f1.l1 -text "Seite 1"
ttk::label .n.f2.l1 -text "Seite 2"
ttk::label .n.f3.l1 -text "Seite 3"

pack .n -fill both -expand 1
pack .n.f1.l1 -side top
pack .n.f2.l1 -side top
pack .n.f3.l1 -side top
 
.n select .n.f1

ttk::button .btKlein -text "Schrift 8" -command {font configure MeineSchrift -size 8}
ttk::button .btGross -text "Schrift 16" -command {font configure MeineSchrift -size 16}
pack .btKlein -side left
pack .btGross -side left

ttk::button .btNormal -text "Normal" -command {
  .n tab .n.f1 -state normal
}
ttk::button .btDisabled -text "Disabled" -command {
  .n tab .n.f1 -state disabled
}
pack .btNormal -side left
pack .btDisabled -side left
