#!/usr/bin/env wish

set Farbe1 #0058A2 ; # dunkelblau
set Farbe2 #68A2D4 ; # mittelblau
set Farbe3 #DEE8F7 ; # hellblau
set Farbe4 #FFFFFF ; # weiss
set Farbe6 #D0D0D0 ; # hellgrau
set Farbe7 #A0A0A0 ; # mittelgrau
set Farbe8 #707070 ; # dunkelgrau
set Farbe10 #000000 ; # schwarz

font create MeineSchrift -family Helvetica -size 12 -slant roman -weight normal

text .tx -height 5 -width 30 -wrap word -font MeineSchrift -foreground $Farbe1 -background $Farbe2 -selectforeground $Farbe2 -selectbackground $Farbe1 -highlightcolor $Farbe1 -highlightbackground $Farbe2 -insertbackground $Farbe1 -inactiveselectbackground $Farbe1
pack .tx

ttk::button .btKlein -text "Schrift 8" -command {
  font configure MeineSchrift -size 8
}
ttk::button .btGross -text "Schrift 16" -command {
  font configure MeineSchrift -size 16
}
pack .btKlein -side left
pack .btGross -side left

ttk::button .btNormal -text "Normal" -command {
  .tx configure -state normal
  .tx configure -foreground $Farbe1 -background $Farbe2 -selectforeground $Farbe2 -selectbackground $Farbe1 -highlightcolor $Farbe1 -highlightbackground $Farbe2 -insertbackground $Farbe1 -inactiveselectbackground $Farbe1
}
ttk::button .btDisabled -text "Disabled" -command {
  .tx configure -state disabled
  .tx configure -foreground $Farbe8 -background $Farbe7 -selectforeground $Farbe7 -selectbackground $Farbe8 -highlightcolor $Farbe8 -highlightbackground $Farbe7 -insertbackground $Farbe8 -inactiveselectbackground $Farbe8
}
pack .btNormal -side left
pack .btDisabled -side left
