#!/usr/bin/env tclsh

package require struct::stack

::struct::stack MeinStapel

for {set i 1} {$i <= 7} {incr i} {
  MeinStapel push "Element $i"
}
set Liste {"Element 8" "Element 9" "Element 10"}
MeinStapel push {*}$Liste

puts "Der Stapel hat [MeinStapel size] Elemente."

set Element [MeinStapel pop]
puts "pop: $Element"
puts "Der Stapel hat noch [MeinStapel size] Elemente."

set Liste [MeinStapel pop 3]
puts $Liste
puts "Der Stapel hat noch [MeinStapel size] Elemente."

set Liste [MeinStapel get]
puts "get: $Liste"

set Liste [MeinStapel getr]
puts "getr: $Liste"

set Liste [MeinStapel peek 3]
puts "peek: $Liste"

set Liste [MeinStapel peekr 3]
puts "peekr: $Liste"

puts "Der Stapel hat noch [MeinStapel size] Elemente."

MeinStapel clear
puts "clear: Der Stapel hat noch [MeinStapel size] Elemente."

MeinStapel destroy
