#!/usr/bin/env wish

set Liste {Anton Berta Caesar Dora Emil Friedrich Gustav Heinrich Ida Julius Kaufmann}
set Liste [concat $Liste {Ludwig Martha Nordpol Otto Paula Quelle Richard Samuel Theodor}]
set Liste [concat $Liste {Ulrich Viktor Wilhelm Xanthippe Ypsilon Zacharias}]

ttk::treeview .tv -columns Person -show headings -yscrollcommand {.sbY set}
.tv heading Person -text "Person"
set i 0
foreach Element $Liste {
  if {[expr $i % 2] == 0} {
    .tv insert {} end -values $Element -tags {TreeviewRot}
  } else {
    .tv insert {} end -values $Element -tags {TreeviewBlau}
  }	
  incr i 
}
ttk::scrollbar .sbY -command {.tv yview}

.tv tag configure TreeviewRot -foreground red
.tv tag configure TreeviewBlau -foreground blue

pack .sbY -side right -fill y
pack .tv -side left
