#!/usr/bin/env wish

package require Img

proc ScreenshotPNG {Canvasname Dateiname} {
  set Screengrab [image create photo -format window -data $Canvasname]
  $Screengrab write $Dateiname -format png 
  image delete $Screengrab
}

proc ScreenshotPS {Canvasname Dateiname} {
  $Canvasname postscript -file $Dateiname
}

canvas .c -width 170 -height 170 
set KreisRot [.c create oval 10 10 110 110 -width 1 -outline black -fill red]
set KreisBlau [.c create oval 60 10 160 110 -width 1 -outline black -fill blue]
set KreisGelb [.c create oval 35 60 135 160 -width 1 -outline black -fill yellow]

ttk::frame .fr
ttk::button .fr.bt1 -text "png-Datei" -command {ScreenshotPNG .c Screenshot.png}
ttk::button .fr.bt2 -text "ps-Datei" -command {ScreenshotPS .c Screenshot.ps}
grid .fr.bt1 -row 0 -column 0
grid .fr.bt2 -row 0 -column 1

pack .c
pack .fr
