#!/usr/bin/env tclsh

proc ListeDuplikateEntfernen {Liste} {
	# Entfernt aus der Liste die Duplikate, ohne die Reihenfolge der Listenelemente zu aendern
	for {set i 0} {$i < [llength $Liste]} {incr i} {
		set Indizes [lsearch -all $Liste [lindex $Liste $i]]
		for {set j [expr [llength $Indizes] - 1]} {$j > 0} {incr j -1} {
			# die doppelten Listenelemente vom Ende aus entfernen
			set Index [lindex $Indizes $j]
			set Liste [lreplace $Liste $Index $Index]
		}
	}
	return $Liste
}

set Liste {Caesar Dora Anton Berta Dora Anton Emil Caesar}
puts "Liste: $Liste"
set ListeOhneDuplikate [ListeDuplikateEntfernen $Liste]
puts "Liste ohne Duplikate unter Beibehaltung der Reihenfolge:"
puts $ListeOhneDuplikate
