#!/usr/bin/env wish

package require tooltip

set TooltipStatus "an"

proc TooltipAnAus {TooltipStatus} {
  if {$TooltipStatus eq "an"} {
    ::tooltip::tooltip off
    set TooltipStatus "aus"
  } else {
    ::tooltip::tooltip on
    set TooltipStatus "an"
  }
  return $TooltipStatus
}

ttk::frame .frAlles
ttk::frame .frAlles.frAufgabe
ttk::frame .frAlles.frButton

ttk::entry .frAlles.frAufgabe.enZahl1 -textvariable Zahl1 -width 5
ttk::entry .frAlles.frAufgabe.enZahl2 -textvariable Zahl2 -width 5
ttk::label .frAlles.frAufgabe.lbErgebnis -textvariable Ergebnis -width 5

ttk::label .frAlles.frAufgabe.lbPlus -text "+"
ttk::label .frAlles.frAufgabe.lbGleich -text "="

ttk::button .frAlles.frButton.btRechnen -text "Rechnen" -command {set Ergebnis [Rechnen $Zahl1 $Zahl2]}
ttk::button .frAlles.frButton.btTooltipAnAus -text "Tooltip an/aus" -command {set TooltipStatus [TooltipAnAus $TooltipStatus]}
ttk::button .frAlles.frButton.btEnde -text "Ende" -command exit

pack .frAlles.frAufgabe -side top -fill x -padx 5 -pady 10
pack .frAlles.frAufgabe.enZahl1 -side left
pack .frAlles.frAufgabe.lbPlus -side left -padx 3
pack .frAlles.frAufgabe.enZahl2 -side left
pack .frAlles.frAufgabe.lbGleich -side left -padx 3
pack .frAlles.frAufgabe.lbErgebnis -side left
 
pack .frAlles.frButton -side top -fill x -pady 10
pack .frAlles.frButton.btRechnen -side left -padx 5
pack .frAlles.frButton.btTooltipAnAus -side left -padx 5
pack .frAlles.frButton.btEnde -side left -padx 5

pack .frAlles -side top -expand yes -fill both
focus .frAlles.frAufgabe.enZahl1

::tooltip::tooltip .frAlles.frAufgabe.enZahl1 "1. Summand"
::tooltip::tooltip .frAlles.frAufgabe.enZahl2 "2. Summand"
::tooltip::tooltip .frAlles.frButton.btRechnen "Startet die Berechnung"
::tooltip::tooltip .frAlles.frButton.btEnde "Beendet das Programm"

