#!/usr/bin/env wish

proc Zeichnen {x y} {
	global xAlt
	global yAlt
	if {$xAlt ne ""} {
		set Linie [.c create line $xAlt $yAlt $x $y -width 3 -fill black]
	}
	set xAlt $x
	set yAlt $y
}

proc MausAn {x y} {
	bind .c <Motion> {Zeichnen [%W canvasx %x] [%W canvasy %y]}
}

proc MausAus {} {
	global xAlt
	global yAlt
	set xAlt ""
	set yAlt ""
	bind .c <Motion> {}
}

set xAlt ""
set yAlt ""
canvas .c -width 200 -height 200
pack .c -fill both -expand yes
bind .c <ButtonPress-1> {MausAn [%W canvasx %x] [%W canvasy %y]}
bind .c <ButtonRelease-1> {MausAus}
